> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/solana/http-methods/getrecentprioritizationfees.md).

# getRecentPrioritizationFees

Returns a list of prioritization fees from recent blocks.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `address` array. A collection of up to 128 Account addresses represented as base-58 encoded strings in an array.

## Returns

`result` array

* `prioritizationFee` integer. The prioritization fee value.
* `slot` integer. The slot number associated with the prioritization fee.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": [
		{
			"prioritizationFee": 0,
			"slot": 320159396
		},
		{
			"prioritizationFee": 0,
			"slot": 320159397
		},
		...
		}
	],
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id":1,"method":"getRecentPrioritizationFees","params":[]}'
    
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id":1,"method":"getRecentPrioritizationFees","params":[]}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/getrecentprioritizationfees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
